
Redmine - Feature #3921

Google Wave + Twitter = Commie Plugin

2009-09-25 03:43 - Michael Koch

Status: Closed Start date: 2009-09-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour
Description

Hello everyone,

Our team started development of a plugin nicknamed "Commie" that looks to integrate both Google Wave (as internal

communication) and Twitter (as external communication) into one plugin.

Currently, the plugin has been dormant as the developer has been busy with other projects and unable to complete the project. We

were hoping that maybe there was someone who would be interesting in helping to finish it, and maybe even expand or take the

project in a different direction.

Below is the repo for the plugin.

http://github.com/binaryseed/redmine_commie

From functional level, I think this plugin could be hugely useful in making communications more robust in redmine, especially since

Google Wave will be completely open source once it is released.

Lets discuss this more, as I'd love to hear your alls thoughts.

Thanks,

Mike

Related issues:

Related to Redmine - Feature #10568: Real-Time Collaborative Editor Wiki New

History

#1 - 2009-09-25 03:45 - Michael Koch

- File commie_plugin_screenshot.JPG added

added screenshot of current plugin

#2 - 2009-10-07 21:35 - Patrick Kaminski

Hi,

i liked of this idea...

i will study this.

Bye

#3 - 2009-10-08 01:13 - Michael Koch

Hello Patrick,

I'm glad you are interested in this plugin. Let me know if there is anything I can do to help move this along!

Mike

#4 - 2009-10-08 21:28 - Patrick Kaminski

Hi Michael.

I had problem with the database creation.

I executed the rake command, but the creation of tables of the plugin not worked.

You have the sql code to give me?

Thanks
Patrick

#5 - 2009-10-13 09:07 - Yousef Alhashemi

Patrick,

What's the error your get?

#6 - 2009-10-13 14:04 - Patrick Kaminski

Hi,

I do not remember because I created the structure of the database by analyzing the db files.

But now I have a problem with the script from Twitter.

I must comment line 26 of file '/apps/views/commie/project.html.erf', because this is preventing the start of Redmine with the error log:

'ActionView::TemplateError (undefined method `map' for 1:Fixnum) on line #26 of commie/project.html.erb'

I have doubts about the values of the fields 'token' and 'secret' of the table 'twitters'.

Where do I get these values?

Thank you,

Patrick

#7 - 2009-11-02 23:35 - Michael Koch

Here is more information on the release of the Google Wave protocol:

http://googlewavedev.blogspot.com/2009/11/wavesandboxcom-federate-this.html

#8 - 2009-12-09 06:59 - Michael Koch

It might be worthwhile to wait for EtherPad & AppJet to go OpenSource then integrate those.

#9 - 2010-06-11 03:47 - hanjiang zheng

hi when i i use command : "rake db:migrate_plugins RAILS_ENV=production" to update datebase ,

it show this error :

(in D:/redmine/rails_apps/redmine084)

rake aborted!

no such file to load -- twitter_oauth

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/redmine_commie/init.rb:4:in `eva

luate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:95:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/c

ore_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:91:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:44:in

`load'

./config/../vendor/plugins/engines/lib/engines/plugin.rb:77:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:33:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:292:in

`load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:142:in

`process'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`send'
D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`run'

./config/environment.rb:20

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/chantra-redmine_whining/lib/task

s/whining.rake:30

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7:in `

each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/rakefile:10

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_

rakefile'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/redmine/ruby/bin/rake:19:in `load'

D:/redmine/ruby/bin/rake:19

how can i do ?

my rails version is 2.3.5

my ruby version is 1.8.6

my redmine version is 0.8.4

#10 - 2010-06-11 03:47 - hanjiang zheng

hanjiang zheng wrote:

hi when i use command : "rake db:migrate_plugins RAILS_ENV=production" to update datebase ,

it show this error :

(in D:/redmine/rails_apps/redmine084)

rake aborted!

no such file to load -- twitter_oauth

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/redmine_commie/init.rb:4:in `eva
luate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:95:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/c

ore_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:91:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:44:in

`load'

./config/../vendor/plugins/engines/lib/engines/plugin.rb:77:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:33:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:292:in

`load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:142:in

`process'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`send'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`run'

./config/environment.rb:20

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/chantra-redmine_whining/lib/task

s/whining.rake:30

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7:in `

each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/rakefile:10

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_

rakefile'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/redmine/ruby/bin/rake:19:in `load'

D:/redmine/ruby/bin/rake:19

how can i do ?

my rails version is 2.3.5

my ruby version is 1.8.6

my redmine version is 0.8.4
#11 - 2010-06-11 10:11 - Michael Koch

hanjiang,

the plugin needs further development. are you interested in helping? i can contact the original developer and see if he can help if you are.

thanks,

mike

www.openpario.net

#12 - 2011-06-29 13:34 - Gergely Nagy

Oops, maybe I'm too late joining this club, but this looks interesting.

What I would especially need is some integration/conversion between Waves and Wiki pages and perhaps Issues.

The use case: for collaborative project planning, discuss/brainstorm the initial ideas in Wave, and then solidify them in Redmine afterwards.

Of course it would be great to have Wave's power in editing Wiki pages in general.

This is a recent idea, haven't thought through, just wondering if it rings the bell for anyone.

Thanks, Gergo

#13 - 2011-07-24 23:48 - Terence Mill

I would like to look into it, but the git repository does not exist!

#14 - 2011-07-24 23:53 - Terence Mill

Moved here https://github.com/patrix/redmine_commie ?

Terence Mill wrote:

I would like to look into it, but the git repository does not exist!

#15 - 2011-07-24 23:58 - Terence Mill

Looks like u missing the gem "twitter_oauth". Try to isatll that first.

gem install twitter_oauth

 However, this plugin is missing some basic documetation:

Howto install, prerequisites (wave server?), know bugs, todo, roadmap..

hanjiang zheng wrote:

hanjiang zheng wrote:

hi when i use command : "rake db:migrate_plugins RAILS_ENV=production" to update datebase ,

it show this error :

(in D:/redmine/rails_apps/redmine084)

rake aborted!

no such file to load -- twitter_oauth

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/redmine_commie/init.rb:4:in `eva

luate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:95:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/c

ore_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:91:in

`evaluate_init_rb'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin.rb:44:in

`load'

./config/../vendor/plugins/engines/lib/engines/plugin.rb:77:in `load'
D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:33:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/rails/plugin/loader.r

b:32:in `load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:292:in

`load_plugins'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:142:in

`process'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`send'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/initializer.rb:97:in

`run'

./config/environment.rb:20

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:510:in `require'

D:/redmine/rails_apps/redmine084/vendor/plugins/chantra-redmine_whining/lib/task

s/whining.rake:30

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:355:in `new_constants_in'

D:/redmine/rails_apps/redmine084/vendor/rails/activesupport/lib/active_support/d

ependencies.rb:503:in `load'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7:in `

each'

D:/redmine/rails_apps/redmine084/vendor/rails/railties/lib/tasks/rails.rb:7

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_ori

ginal_require'

D:/redmine/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require

'

D:/redmine/rails_apps/redmine084/rakefile:10

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `load'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2383:in `raw_load_

rakefile'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2017:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2016:in `load_rake

file'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2000:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_

exception_handling'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

D:/redmine/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/redmine/ruby/bin/rake:19:in `load'

D:/redmine/ruby/bin/rake:19

how can i do ?

my rails version is 2.3.5

my ruby version is 1.8.6

my redmine version is 0.8.4

 

#16 - 2012-04-11 22:34 - Terence Mill

related to #10568

#17 - 2013-03-20 18:07 - Anonymous
Wave is dead... and it seems that this issue is not the best place to keep this plugin alive (resp. in zombie state). It would seem better to put it on

github or somewhere else, and let people fork it from there (and who knows, perhaps somebody gets interested in reviving it).

But this issue should be closed.

#18 - 2015-03-06 04:39 - Go MAEDA

- Status changed from New to Closed

Both the plugin and Google Wave are not alive now.

I close this issue.
